package com.njcn.common.pojo.enums.auth;

import lombok.Getter;

/**
 * @author hongawen
 * @version 1.0.0
 * @date 2021年12月15日 14:03
 */
@Getter
public enum PasswordEncoderTypeEnum {

    /**
     * 密码加密类型
     */
    BCRYPT("{bcrypt}","BCRYPT加密"),

    NOOP("{noop}","无加密明文");

    private final String prefix;

    private final String desc;

    PasswordEncoderTypeEnum(String prefix, String desc){
        this.prefix=prefix;
        this.desc = desc;
    }
}
